cURL
curl --request GET \
--url https://api.growi.io/api/public/v1/stats/content_24h_data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.growi.io/api/public/v1/stats/content_24h_data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growi.io/api/public/v1/stats/content_24h_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"error": "<string>",
"message": "<string>"
}Stats API
Get Content 24h Data
Retrieves 24-hour views and engagement metrics with comparison to previous period
GET
/
stats
/
content_24h_data
cURL
Retrieves 24-hour views and engagement metrics with comparison to previous period. For each date, you get that day’s metrics along with the corresponding data from a period before for comparison.
Request Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
start_date | String | Start date in MM/DD/YYYY format | Yes |
end_date | String | End date in MM/DD/YYYY format | Yes |
limit | Integer | Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data. | No |
Response Fields
| Field | Description |
|---|---|
date | Unix timestamp for the current day |
last_date | Unix timestamp for the comparison day (1 week before) |
current | Number of views/likes for the current day |
last | Number of views/likes for the comparison day |
total | Running total as of the latest date |
last_total | Running total as of the comparison period’s latest date |
Request Example
curl -X GET "https://api.growi.io/api/public/v1/stats/content_24h_data?start_date=01/01/2023&end_date=01/31/2023" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
Response Example
{
"success": true,
"data": {
"content_24h_data": {
"views_24h": [
{
"date": 1747267200,
"last_date": 1746662400,
"current": 1498351,
"last": 1398120,
"name": "Views",
"total": 12897783,
"last_total": 11245632
},
{
"date": 1747353600,
"last_date": 1746748800,
"current": 1731260,
"last": 1625480,
"name": "Views",
"total": 12897783,
"last_total": 11245632
}
],
"likes_24h": [
{
"date": 1747267200,
"last_date": 1746662400,
"current": 51590,
"last": 48234,
"name": "Likes",
"total": 448104,
"last_total": 396514
},
{
"date": 1747353600,
"last_date": 1746748800,
"current": 67440,
"last": 62180,
"name": "Likes",
"total": 448104,
"last_total": 396514
}
]
}
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date in MM/DD/YYYY format
End date in MM/DD/YYYY format
Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data.
⌘I